<?php

$jscode[] = "Rico.moduleDependencies['checkboxDB'] = ['+LiveGrid', '../ricoTableColumnDB.js'];";
$jscode[] = "Rico.loadModule('checkboxDB');";

include_once($_SESSION['sys']['basedir'].'/lib/overview_utils.php');

if (empty($_SESSION['gereinigt.year'])) $_SESSION['gereinigt.year'] = date('Y');

$details = <<<EOC
<div style="padding-left: 3px; margin-top: -10px;">
<b>Bemerkungen</b><br>
<div id="detail_bemerkungen"></div>
</div>
EOC;

$mask = array(
	      'table' => 'kostenstellen',
	      'title' => 'Gewässer gereinigt?',
	      'join' => array('gebiet ON kostenstellen.gebiet = gebiet.id'),
	      'select' => array(
				'title' => 'Auswahl',
				'options' => discover_years(true),
				'default' => 'Jahr wählen',
				'selected' => $_SESSION['gereinigt.year'],
				'onchange' => "setvar(this,'year',select_year_calback,select_year_status)",
				),
	      'variables' => array(
				   'year' => array(),
				   ),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'sql' => 'kostenstellen.id',
					    'visible' => false,
					    ),
			      'gebiet' => array(
					    'name' => 'Gebiet',
					    'sql' => 'gebiet.gebiet',
					    'specs' => "filterUI: 's'",
					    'width' => 270,
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'specs' => "filterUI: 's'",
					    'width' => 270,
					    ),
			      'gereinigt' => array(
					    'name' => 'gereinigt',
					    'width' => 65,
					    'sql' => '(SELECT count(*) FROM gereinigt WHERE jahr = '
						. intval($_SESSION['gereinigt.year'])
						. ' AND gereinigt.kostenstelle = kostenstellen.id)',
					    'control' => "new Rico.TableColumn.checkboxDB(0, 'ajax/ricoUpdateConnection.php')",
					    'specs' => "filterUI: 'c', ClassName: 'aligncenter', canSort: false",
					    'update' => array('table' => 'gereinigt',
							      'basecol' => 'jahr',
							      'baseval' => $_SESSION['gereinigt.year'],
							      'refcol' => 'kostenstelle',
							      'reftable' => 'kostenstellen',
							      'refid' => 'kostenstellen.id',
							      ),
					    ),
			      ),
 	      'details' => array(
				 'html' => $details,
				 'list' => array(
						 'bemerkungen' => array('fetch' => fetch_bemerkungen),
						 ),

			      ),
	      );

function fetch_bemerkungen()
{
  $sql = <<<EOC
SELECT datum, bemerkung FROM einsatz
WHERE date_part('year', datum) = %d
    AND kostenstelle = %d
    AND bemerkung IS NOT NULL
ORDER BY datum
EOC;

  $sql = sprintf($sql, $_SESSION['gereinigt.year'], $_POST['id']);

  $res = query_db($sql);
  if ($res === false) return '';

  if (!count($res)) return 'keine Bemerkungen vorhanden';

  $ret = '';
  foreach ($res as $row) {
    $d = explode('-',$row['datum']);
    $ret .= sprintf('<p style="margin-top: 0; margin-bottom: 2px;">%d.%d: %s</p>', $d[2], $d[1], $row['bemerkung']);
  }

  return $ret;
}
?>
